Cannot install applications because the certificate for www.yyy.com is not valid

iOS 7.1 has changed the security requirements for installing over-the-air (OTA) / enterprise apps to require the .plist file to be delivered over https

Cannot install applications because the certificate for www.example.com is not valid

If you're receiving the above error message when attempting to install your own iOS OTA / enterprise app, you'll need to change the url parameter of the itms-services link to use https. Obviously the location you are delivering the .plist file from will need to be on a website with a secure certificate already installed.

Change the http to https in the &url parameter
itms-services://?action=download-manifest&url=http://example.com/manifest.plist


Changes to:
itms-services://?action=download-manifest&url=https://example.com/manifest.plist

The url's within the .plist file (to the .ipa and images) can still be delivered over http. Its just the .plist itself that must be delivered over SSL.



Share
  • Facebook
  • Google Bookmarks
  • Ask
  • LinkedIn
  • Socialogs
  • Wikio
  • Digg
  • Twitter
  • SlashDot
  • Reddit
  • MySpace
  • Del.icio.us
  • Blogter
  • BlogMemes
  • Yahoo Buzz






Cannot install applications because the certificate for www.yyy.com is not valid | 0 comments | Create New Account
The following comments are owned by whomever posted them. This site is not responsible for what they say.


Gold Coast Aquarium Maintenance | Gold Coast Marine Fish | Gold Coast Tropical Fish
Jewel Jones - Counselling Service - Penrith, Richmond
 
     
 Copyright © 2017 Julian Kuiters
 All trademarks and copyrights on this page are owned by their respective owners.